# Method: generatedapks.download

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/generatedapks/download#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/generatedapks/download#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/generatedapks/download#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/generatedapks/download#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/generatedapks/download#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/generatedapks/download#try-it)

Downloads a single signed APK generated from an app bundle.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/generatedApks/{versionCode}/downloads/{downloadId}:download`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `versionCode` | `integer` Version code of the app bundle. |
| `downloadId` | `string` generatedapks.download ID, which uniquely identifies the APK to download. Can be obtained from the response of `generatedapks.list` method. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`